Page MenuHomePhabricator

Reply link seems to be missing on a user talk page on nl.wiki
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Go to this page: https://nl.wikipedia.org/wiki/Overleg:Charlie_Chaplin?dtenable=1
  1. Observe that the comment from 145.133.2.174 (overleg · bijdragen) 28 dec 2017 16:32‎ (CET) does not have any reply link.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2020, 10:19 PM

There is an invisible Unicode character U+200E (https://en.wikipedia.org/wiki/Left-to-right_mark) after the "16:32", which is causing the timestamp parser not to match it.

It's sometimes added by browsers when copy-pasting text. It was added in this edit, when this user added a signature to an unsigned comment: https://nl.wikipedia.org/w/index.php?title=Overleg:Charlie_Chaplin&diff=50625605&oldid=50622775, probably by copy-pasting the username (IP address) and date from page history.

We should probably try to support this, although I don't think it's a very common workflow.

Good spot, Bartosz. I'm going to move this to "Nice to have."

I will also plan to include this in T245858


Notes to self

Invisible Unicode character: &lrm

Change 574552 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] Ignore LRM and RLM before timezone indicator

https://gerrit.wikimedia.org/r/574552

Change 574552 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Ignore LRM and RLM before timezone indicator

https://gerrit.wikimedia.org/r/574552

JTannerWMF moved this task from Inbox to High Priority on the Editing QA board.Mar 7 2020, 12:11 AM
ppelberg closed this task as Resolved.Mar 11 2020, 3:46 PM
ppelberg claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 11 2020, 3:46 PM